Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl
Class ClassificationQueryTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.RegistryObjectQueryTypeImpl
                      org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.ClassificationQueryTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ClassificationQueryType, RegistryObjectQueryType

    public class ClassificationQueryTypeImpl

extends RegistryObjectQueryTypeImpl
implements ClassificationQueryType

An implementation of the model object 'Classification Query Type'.

The following features are implemented:

- `Classification Filter`
- `Classification Scheme Query`
- `Classification Node Query`
- `Registry Object Query`
- `Registry Entry Query`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationFilter(FilterType newClassificationFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`FilterType` | `getClassificationFilter()`
`ClassificationNodeQueryType` | `getClassificationNodeQuery()`
`ClassificationSchemeQueryType` | `getClassificationSchemeQuery()`
`RegistryEntryQueryType` | `getRegistryEntryQuery()`
`RegistryObjectQueryType` | `getRegistryObjectQuery()`
`void` | `setClassificationFilter(FilterType newClassificationFilter)`
`void` | `setClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery)`
`void` | `setClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery)`
`void` | `setRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery)`
`void` | `setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.RegistryObjectQueryTypeImpl
`basicSetDescriptionBranch, basicSetNameBranch, basicSetRegistryObjectFilter, getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getClassificationFilter

    public FilterType getClassificationFilter()

  Specified by:
    `getClassificationFilter` in interface `ClassificationQueryType`
  Returns:
    the value of the 'Classification Filter' containment reference.
  See Also:
    `ClassificationQueryType.setClassificationFilter(FilterType)`, `QueryPackage.getClassificationQueryType_ClassificationFilter()`

### basicSetClassificationFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationFilter(FilterType newClassificationFilter,
                                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationFilter

    public void setClassificationFilter(FilterType newClassificationFilter)

  Specified by:
    `setClassificationFilter` in interface `ClassificationQueryType`
  Parameters:
    `newClassificationFilter` - the new value of the 'Classification Filter' containment reference.
  See Also:
    `ClassificationQueryType.getClassificationFilter()`

### getClassificationSchemeQuery

    public ClassificationSchemeQueryType getClassificationSchemeQuery()

  Specified by:
    `getClassificationSchemeQuery` in interface `ClassificationQueryType`
  Returns:
    the value of the 'Classification Scheme Query' containment reference.
  See Also:
    `ClassificationQueryType.setClassificationSchemeQuery(ClassificationSchemeQueryType)`, `QueryPackage.getClassificationQueryType_ClassificationSchemeQuery()`

### basicSetClassificationSchemeQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationSchemeQuery

    public void setClassificationSchemeQuery(ClassificationSchemeQueryType newClassificationSchemeQuery)

  Specified by:
    `setClassificationSchemeQuery` in interface `ClassificationQueryType`
  Parameters:
    `newClassificationSchemeQuery` - the new value of the 'Classification Scheme Query' containment reference.
  See Also:
    `ClassificationQueryType.getClassificationSchemeQuery()`

### getClassificationNodeQuery

    public ClassificationNodeQueryType getClassificationNodeQuery()

  Specified by:
    `getClassificationNodeQuery` in interface `ClassificationQueryType`
  Returns:
    the value of the 'Classification Node Query' containment reference.
  See Also:
    `ClassificationQueryType.setClassificationNodeQuery(ClassificationNodeQueryType)`, `QueryPackage.getClassificationQueryType_ClassificationNodeQuery()`

### basicSetClassificationNodeQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setClassificationNodeQuery

    public void setClassificationNodeQuery(ClassificationNodeQueryType newClassificationNodeQuery)

  Specified by:
    `setClassificationNodeQuery` in interface `ClassificationQueryType`
  Parameters:
    `newClassificationNodeQuery` - the new value of the 'Classification Node Query' containment reference.
  See Also:
    `ClassificationQueryType.getClassificationNodeQuery()`

### getRegistryObjectQuery

    public RegistryObjectQueryType getRegistryObjectQuery()

  Specified by:
    `getRegistryObjectQuery` in interface `ClassificationQueryType`
  Returns:
    the value of the 'Registry Object Query' containment reference.
  See Also:
    `ClassificationQueryType.setRegistryObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getClassificationQueryType_RegistryObjectQuery()`

### basicSetRegistryObjectQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectQuery

    public void setRegistryObjectQuery(RegistryObjectQueryType newRegistryObjectQuery)

  Specified by:
    `setRegistryObjectQuery` in interface `ClassificationQueryType`
  Parameters:
    `newRegistryObjectQuery` - the new value of the 'Registry Object Query' containment reference.
  See Also:
    `ClassificationQueryType.getRegistryObjectQuery()`

### getRegistryEntryQuery

    public RegistryEntryQueryType getRegistryEntryQuery()

  Specified by:
    `getRegistryEntryQuery` in interface `ClassificationQueryType`
  Returns:
    the value of the 'Registry Entry Query' containment reference.
  See Also:
    `ClassificationQueryType.setRegistryEntryQuery(RegistryEntryQueryType)`, `QueryPackage.getClassificationQueryType_RegistryEntryQuery()`

### basicSetRegistryEntryQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryEntryQuery

    public void setRegistryEntryQuery(RegistryEntryQueryType newRegistryEntryQuery)

  Specified by:
    `setRegistryEntryQuery` in interface `ClassificationQueryType`
  Parameters:
    `newRegistryEntryQuery` - the new value of the 'Registry Entry Query' containment reference.
  See Also:
    `ClassificationQueryType.getRegistryEntryQuery()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `RegistryObjectQueryTypeImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `RegistryObjectQueryTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `RegistryObjectQueryTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `RegistryObjectQueryTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `RegistryObjectQueryTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD